%global pypi_name pymarkdownlnt
%global pypi_version 0.9.29

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A GitHub Flavored Markdown compliant Markdown linter

License:        MIT
URL:            https://github.com/jackdewinter/pymarkdown
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(application-properties) >= 0.8.2
BuildRequires:  python3dist(columnar) >= 1.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-extensions) >= 4.7

%description
PyMarkdown is primarily a Markdown linter. To ensure that the Markdown
linting is conducted with the highest attention to detail, our linting
rules analyze the tokens produced by the project's own Markdown parser.
The project's Markdown parser aims to be highly compliant to both the
GitHub Flavored Markdown specification and the CommonMark specification.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(application-properties) >= 0.8.2
Requires:       python3dist(columnar) >= 1.4
Requires:       python3dist(setuptools)
Requires:       python3dist(typing-extensions) >= 4.7
%description -n python3-%{pypi_name}
PyMarkdown is primarily a Markdown linter. To ensure that the Markdown
linting is conducted with the highest attention to detail, our linting
rules analyze the tokens produced by the project's own Markdown parser.
The project's Markdown parser aims to be highly compliant to both the
GitHub Flavored Markdown specification and the CommonMark specification.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

#iconv -f iso8859-1 -t utf-8 README.md > README.md.conv && mv -f README.md.conv README.md
sed -i 's/\r$//' README.md


%install
%pyproject_install

%pyproject_save_files -l pymarkdown

%check
%pyproject_check_import

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/pymarkdown
%{_bindir}/pymarkdownlnt
%{python3_sitelib}/pymarkdown
%{python3_sitelib}/pymarkdownlnt-%{pypi_version}.dist-info/

%changelog
* Fri May 09 2025 Gwyn Ciesla <gwync@protonmail.com> - 0.9.29-1
- 0.9.29

* Wed May 08 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.9.19-1
- Initial package.
